<?php

namespace App\Imports;

use App\User;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Illuminate\Support\Facades\Auth;

class UsersImport implements ToModel, WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
         $user = new User([
            'first_name'     => $row['first_name'],
            'middle_name'     => $row['middle_name'],
            'last_name'     => $row['last_name'],
             'username'    => $row['matric'],
            'email'    => $row['email'],
            'password' => \Hash::make($row['state']),
             ]);

            $user->assignRole('user');

            return $user;

    }
}
